<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE item SYSTEM "http://www.c3d2.de/dtd/c3d2web.dtd">
<?xml-stylesheet type="text/xsl" href="../../xsl/html.xsl" ?>
<item title="qemud-0.0.2" date="2006-06-19T23:42:05" author="toidinamai">
  <p>
    <link href="http://trac.cccv.de/qemud">qemud</link> ist ein Daemon, der als
    Frontend für <link href="http://fabrice.bellard.free.fr/qemu/">qemu</link>,
    Frabrice Bellards PC-Emulator, dient. Seine Bedienung ist der des
    Administrations-Daemons von <link
      href="http://www.cl.cam.ac.uk/Research/SRG/netos/xen/">Xen</link>, xend,
    nachempfunden. Das zugehörige Kommandozeilen-Tool heißt hier qm statt xm.
  </p>
  <addendum>
    <p>
      qemud ist in der Programmiersprache <link
        href="http://www.python.org">Python</link> geschrieben und benutzt das
      <link href="http://twistedmatrix.com/">Twisted-Framework</link>.  Die
      <link href="svn://svn.cccv.de/qemud/tags/qemud-0.0.2">Version
        0.0.2</link> unterstützt zunächst nur das Starten und (harte) Anhalten
      von virtuellen Maschinen, bietet aber auch die Möglichkeit sich zur
      seriellen Konsole einer virtuellen Maschine oder zur Management-Konsole
      der zugehörigen Qemu-Instanz zu verbinden. Letzteres soll aber in
      zukünftigen Versionen aus Sicherheitsgründen eingeschränkt werden.
      Desweiteren besteht die Möglichkeit, qemu-Instanzen unter einer separaten
      UID/GID laufen zu lassen. Dabei wird auch die Netzwerk-Initialisierung
      von qemud vorgenommen, so dass qemu auch keinen Zugriff auf /dev/net/tun
      braucht (vorausgesetzt <link
        href="http://www.inoi.fi/open/trac/eunuchs">eunuchs</link> ist
      installiert).
    </p>
    <p>
      Autor von qemud ist <link href="mailto:frank-qemud@benkstein.net">toidinamai</link>.
      Er würde sich sehr über Rückmeldungen freuen. Unterstützung in Form von
      Dokumentation :-) oder Code ist sehr erwünscht.
    </p>
  </addendum>
</item>
